import React, { Fragment } from 'react';
import { Row, Col, Space } from 'antd';
import { register } from '@/assets/images';

export default function RegisInfoModule(props) {
  return (
    <Fragment>
      <Col span={24} style={{ display: 'flex', alignItems: 'center', margin: '12px 0px 4px 0px' }}>
        <Space size='small'>
          <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h4>登记信息</h4>
        </Space>
      </Col>
      <Row gutter={[16, 16]} >
        <Col span={8}>
          <div className="title">
            <div className="title-text">登记机构</div>
          </div>
          <div>{props.caseInfo?.inputUnitName || '-'}</div>
        </Col>
        <Col span={8}>
          <div className="title">
            <div className="title-text">登记人</div>
          </div>
          <div>
            {props.caseInfo?.inputUserName}
            <img src={register} alt='' style={{ width: '14px', height: '14px', marginLeft: '8px', marginTop: '-4px' }} />
          </div>
        </Col>
        <Col span={8}>
          <div className="title">
            <div className="title-text">登记时间</div>
          </div>
          <div>{props.caseInfo?.visitTime || '-'}</div>
        </Col>
      </Row>
    </Fragment>
  )
}
